List managed line definitions
GET
/v1/ns/{nsid}/resources/lines
const url = 'https://example.com/v1/ns/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/resources/lines';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/ns/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/resources/lines \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”nsid
required
string format: uuid
Namespace UUID
Responses
Section titled “Responses”OK
Media typeapplication/json
object
success
boolean
lines
Array<object>
object
line
string
line_profile
string
voicemail
string
caller_id
string
internal_caller_id
string
caller_id_name
string
ring_group
string
devices
Array<string>
alias
string
alias_namespace
string
alias_trunk
string
e911_address
string
e911_zip
string
e911_state
string
max_concurrent
integer
Examplegenerated
{ "success": true, "lines": [ { "line": "example", "line_profile": "example", "voicemail": "example", "caller_id": "example", "internal_caller_id": "example", "caller_id_name": "example", "ring_group": "example", "devices": [ "example" ], "alias": "example", "alias_namespace": "example", "alias_trunk": "example", "e911_address": "example", "e911_zip": "example", "e911_state": "example", "max_concurrent": 1 } ]}default
Section titled “default”Error response
Media typeapplication/problem+json
RFC 7807 Problem Details
object
type
Problem type slug URI
string
title
string
status
integer
detail
string
key
additional properties
any
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example"}